/*
 * omap_config.h
 */

#ifndef OMAP_CONFIG_H_
#define OMAP_CONFIG_H_
#include "config.h"

#define CONFIG_VENUS	1

#define CONFIG_COMMAND_VEDIAG_IOCTL
#define CONFIG_COMMAND_MEMORY
#define CONFIG_COMMAND_STORAGE

/*
#define CONFIG_MPHHY
#define CONFIG_COMMAND_MPPHY
*/
#define CONFIG_VEDIAG_SENSORS
/*#define CONFIG_PCIUTILS*/
/*#define CONFIG_COMMAND_PCI*/
#define CONFIG_COMMAND_LED
#define CONFIG_COMMAND_EVENT
#define CONFIG_COMMAND_I2C
#define CONFIG_COMMAND_EEPROM

#define CONFIG_GPIOUTILS
#define CONFIG_COMMAND_GPIO

#ifdef CONFIG_VEDIAG_TEST_MANAGER
#define CONFIG_VEDIAG_MEM_TEST
#define CONFIG_VEDIAG_MEMTESTER
#define CONFIG_VEDIAG_NET_TEST
/*#define CONFIG_VEDIAG_RGMII_TEST*/
/*#define CONFIG_VEDIAG_PCI_TEST*/
#define CONFIG_VEDIAG_LED_TEST
#define CONFIG_VEDIAG_EVENT_TEST
#define CONFIG_VEDIAG_I2C_TEST
#define CONFIG_VEDIAG_AUDIO_TEST
#define CONFIG_VEDIAG_MICRO_TEST
#define CONFIG_VEDIAG_BLUETOOTH_TEST
#define CONFIG_VEDIAG_FIRMWARE
#define CONFIG_VEDIAG_ZWAVE_TEST
#define CONFIG_VEDIAG_ZIGBEE_TEST
#define CONFIG_VEDIAG_STORAGE_TEST
#endif

#ifdef CONFIG_VEDIAG_SENSORS
#endif

/*
#define PCIE0_GPIO_PRSNT	"GPI0"
#define PCIE2_GPIO_PRSNT	"GPI1"
#define PCIE4_GPIO_PRSNT	"GPI2"
#define PCIE6_GPIO_PRSNT	"GPI3"
#define PCIE7_GPIO_PRSNT	"GPI4"
*/

/*#define CONFIG_COMMAND_RTCTEST*/
#define CONFIG_COMMAND_XPERF

#endif /* OMAP_CONFIG_H_ */
